
#pragma once


#include "SPdbEthm.h"

class CNSERIESSDKUSBETHDlg : public CDialogEx
{
// 생성입니다.
public:

	struct _ConnectDevList
	{
	};

	CNSERIESSDKUSBETHDlg(CWnd* pParent = nullptr);
	CEdit m_edIntTime;
	CEdit m_edTimeAve;
	CButton m_rbtrgNext;
	CButton m_rbtrgPrevious;
	CButton m_rbtrgSW;
	CButton m_rbtrgExternal;
	CButton m_btnApply;
	CListCtrl m_Devicelist;
	CEdit m_eddataname;
	CString m_Dataname;
	CButton m_btnConnect;
	CButton m_btnGetdata;
	long m_iTimeAve;

	CArray<_DevInformation, _DevInformation&> caTempConnectDevInfo;
	CArray<_DevceList, _DevceList&> caTempConnectDevList;

	_DevceList* m_stDevList;
	_DevInformation* m_stDeviceInfo;

	int iSelectedListIndex;
	short sTotChnl;
	short sTriggerMode;

#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_NSeries_SDK_USB_ETH_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	

protected:
	HICON m_hIcon;
	void DeactivateCtrls();
	void AfterConnectCtrls();
	void ListControlSet();
	void DeviceListViewUpdate();
	void BeforeScanDeviceCtrls();
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBnClickedBtnApply();
	afx_msg void OnBnClickedBtnGetdata();
	afx_msg void OnBnClickedBtnClose();
	afx_msg void OnBnClickedBtnConnect();
	afx_msg void OnBnClickedBtnDevScan();
	afx_msg void OnNMClickListDevice(NMHDR* pNMHDR, LRESULT* pResult);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedBtnDevclose();
protected:
public:
	CButton m_btnDevClose;
	double m_dIntTime;
	BOOL m_bAutoDark;
	afx_msg void OnBnClickedChkAutodark();
//	afx_msg void OnEnKillfocusEditSelouttrgpin();
	BOOL m_bRunOutTrg;
	short m_sSelOutTrgPin;
	afx_msg void OnBnClickedBtnExtapply();
	short m_sOutTrgDelay;
	CButton m_btnExtApply;
};
